ADAM_2.12: Core 0.35.0 API < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package org
  Definition Classes
    root
-  package bdgenomics
  Definition Classes
    org
-  package adam
  Definition Classes
    bdgenomics
-  package util
  Definition Classes
    adam
- ADAMShell
- AttributeUtils
- FileExtensions
- GenomeFileReader
- IndexedFastaFile
- ParquetFileTraversable
- ParquetLogger
- PhredUtils
- ReferenceFile
- ReferenceMap
- ReferenceMapSerializer
- SequenceDictionaryReader
- TextRddWriter
- TwoBitFile
- TwoBitFileSerializer

o

org.bdgenomics.adam.util

# FileExtensions 

###

#### object FileExtensions

Match path names to file extensions.

Linear Supertypes
AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FileExtensions
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native() @HotSpotIntrinsicCandidate()
6.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
7.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
8.  final def getClass(): Class[_]
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
9.  def hashCode(): Int
   Definition Classes
     AnyRef → Any
   Annotations
     @native() @HotSpotIntrinsicCandidate()
10.  def is2BitExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a 2bit format file extension.

11.  def isBamExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a BAM/CRAM/SAM format file extension.

12.  def isBedExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a BED6/12 format file extension.

13.  def isDictExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches an HTSJDK sequence dictionary (.dict) extension.

14.  def isFastaExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a FASTA format file extension.

15.  def isFastqExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a FASTQ format file extension.

16.  def isGenomeExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a Bedtools genome file (.genome) extension.

17.  def isGff3Ext(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a GFF3 format file extension.

18.  def isGtfExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a GFF2/GTF format file extension.

19.  def isGzip(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a GZIP format file extension.

20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  def isInterleavedFastqExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches an interleaved FASTQ format file extension.

22.  def isIntervalListExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches an IntervalList format file extension.

23.  def isNarrowPeakExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a NarrowPeak format file extension.

24.  def isTextExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a text file (.txt) extension.

25.  def isVcfExt(pathName: String): Boolean

    pathName

      The path name to match.

    returns

      Returns true if the path name matches a VCF format file extension.

26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
28.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @HotSpotIntrinsicCandidate()
29.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
30.  def toString(): String
    Definition Classes
      AnyRef → Any
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
33.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Deprecated Value Members

1.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] ) @Deprecated @deprecated
   Deprecated

     (Since version ) see corresponding Javadoc for more information.

### Inherited from AnyRef

### Inherited from Any

### Ungrouped